package com.gh.common.chain

import android.content.Context
import com.gh.common.util.DialogUtils
import com.gh.gamecenter.entity.GameEntity

class OverseaDownloadHandler : ChainHandler() {

    override fun handleRequest(context: Context, gameEntity: GameEntity) {
        DialogUtils.showOverseaDownloadDialog(context, gameEntity) {
            if (hasNext()) {
                getNext()?.handleRequest(context, gameEntity)
            } else {
                processEndCallback?.invoke(null)
            }
        }
    }
}